#pragma once

// CInfoEditWnd
class CInfoEditWnd : public CWnd
{
	DECLARE_DYNAMIC(CInfoEditWnd)

public:
	CInfoEditWnd();
	virtual ~CInfoEditWnd();

private:
	// BG
	Image*							m_pImgBG;

	// dimension
	CRect							m_rtWnd;
	CRect							m_rtEdit;

	// edit
	CEdit							m_edit;
	COLORREF						m_crOutline;
	BOOL							m_bEditMode;

	// attribute
	CString							m_strValue;

	void							SetImgBGPath(CString strFileName);

protected:
	DECLARE_MESSAGE_MAP()

	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);

public:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnPaint();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnDestroy();

	void							SetOutlineColor(COLORREF cr)		{ m_crOutline = cr; }
	COLORREF						GetOutlineColor()					{ return m_crOutline; }
	void							SetEditMode(BOOL bEdit);
	BOOL							GetEditMode()						{ return m_bEditMode; }


	void							SetValue(CString strValue);
	CString							GetValue()							{ return m_strValue; }
};
